
backend:
  name: bitbucket
  repo: nascent-works/nascent-astro   # e.g. acme/site
  branch: master
  auth_type: implicit
  app_id: cVUhDgQ8Ak3Z5aDhZm # from the consumer (the “Key”)

media_folder: "public/images/uploads"
public_folder: "/images/uploads"

collections:
  - name: "careers"
    label: "Careers"
    folder: "src/content/careers"
    create: true
    slug: "{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Draft", name: "draft", widget: "boolean", required: false, default: false }
      - { label: "Body", name: "body", widget: "markdown" }
  - name: "pages"
    label: "Pages"
    folder: "src/content/pages"
    create: true
    slug: "{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Description", name: "description", widget: "text", required: false }
      - { label: "Draft", name: "draft", widget: "boolean", required: false, default: false }
      - { label: "Body", name: "body", widget: "markdown" }
